**Source URL:** https://limited.veevavault.dev/quality/vault-api/api-reference/26.2/batch-release/create-disposition.md

# Create Disposition



Create a *Batch Disposition* record from an existing *Batch* and *Batch Disposition Plan*. Learn more about [Batch Release in Vault Help](https://quality.veevavault.help/en/lr/700756).

<Endpoint path="/api/{version}/app/quality/batch_release/disposition" method="POST"></Endpoint>

## Headers {#headers}

| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
| `Content-Type` | `application/json` |

## Body Parameters {#body-parameters}

Include parameters as JSON.

| Name | Description |
| --- | --- |
| `batch_id` | The ID of the batch for the disposition, for example, `VB6000000001001`. You can find this by using [Retrieve Object Records](/vault-api/api-reference/26.2/vault-objects/retrieve-object-records) or in the URL of the *Batch* record detail page in the Vault UI. |
| `disposition_plan` | The name of the disposition plan, for example, `DP-000001`. |

## Request {#request}

<CodeExample title="">
```
curl --location 'https://myvault.veevavault.com/api/v25.2/app/quality/batch_release/disposition' \
--header 'Authorization: {AUTH_VALUE}' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
    "batch_id":"VB6000000001001",
    "disposition_plan":"DP-000001"
}'

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
   "responseStatus": "SUCCESS",
   "responseDetails": {
       "job_id": "392501"
   }
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, Vault returns the `job_id` for the *Add Disposition* job.



---

**Previous:** [Batch Release](/quality/vault-api/api-reference/26.2/batch-release)  
**Next:** [HACCP](/quality/vault-api/api-reference/26.2/haccp)